cURL
curl --request PATCH \ --url https://api.mottostreaming.com/streaming/vods/v1/{vod_id} \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "vod_id": "<string>", "update_mask": "<string>" } '
{ "vod": { "name": "<string>", "asset_id": "<string>", "id": "<string>", "project_id": "<string>", "region": "REGION_UNSPECIFIED", "video_id": "<string>", "state": "STATE_UNSPECIFIED" } }
UpdateVideo
Updates video’s basic fields (i.e. name)
Documentation IndexFetch the complete documentation index at: https://docs.mottostreaming.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.mottostreaming.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Show child attributes
OK